# vim: set ft=spec: -*- spec -*-
# $Id: golded+,v 1.3 2004/02/26 19:36:40 raorn Exp $

%define name golded+
%define major 1
%define minor 1
%define subm  5
%define basever 114-7
%define cvsdate 20040211
%define rel alt0.pre.%cvsdate.13

Name: %name
Version: %major.%minor.%subm
Release: %rel

Summary: GoldED+ is a successor of the wellknown GoldED mail editor.
License: GPL
Group: Communications
URL: http://golded-plus.sourceforge.net/

Packager: FTN Development Team <ftn@packages.altlinux.org>

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: gps%basever.tar.bz2
%endif
Source1: mygolded.tpl
Source2: Config.def
Source3: MSGBase.def
Source4: golded
Source5: koi_koi.chs
Source6: README.ALT-ru_RU.KOI8-R
Source7: goldnode
Source8: golded.conf
Source9: golded.user.conf
Source10: goldnode.conf
Source11: nodelist.conf

Patch: %name-cvs-alt-stop-husky-no-buggy-genmsgid.patch

PreReq: ftn >= 2.2-alt2

# Automatically added by buildreq on Sun Oct 27 2002 and filtered by raorn
BuildPreReq: iconv
BuildPreReq: gcc-c++
BuildPreReq: libncurses-devel
BuildPreReq: libstdc++-devel
BuildPreReq: libtinfo-devel

%description
GoldED+ is an offline mail reader for Fidonet message bases in AdeptXBBS,
EzyCOM, Fido (*.MSG), Goldbase, Hudson, JAM, PCBoard, Synchronet, Squish
and WildCat. It is also able to import QWK (BBS offline mail format) and
SOUP (Usenet offline mail format) packages into said message bases, and
re-export packages for upload.

%package doc
Summary: Documentation for GoldED+ mail editor.
Group: Books/Computer books
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release

%description doc
GoldED+ is an offline mail reader for Fidonet message bases in AdeptXBBS,
EzyCOM, Fido (*.MSG), Goldbase, Hudson, JAM, PCBoard, Synchronet, Squish
and WildCat. It is also able to import QWK (BBS offline mail format) and
SOUP (Usenet offline mail format) packages into said message bases, and
re-export packages for upload.

This package contains documentation.

%prep
%setup -q -n golded+
%patch -p1
for i in cfgs/config/*.ru* docs/rusfaq.txt; do
  %__cat $i | iconv -f CP866 -t KOI8-R > $i.koi
  %__mv -f $i.koi $i
done
%__cat %SOURCE1 | sed -e '
s#@MAJOR@#%{major}#;
s#@MINOR@#%{minor}#;
s#@PATCH@#%{subm}#;
s#@RELEASE@#-%{release}#;
s#@PACKAGER@#%{packagerName}#;
s#@EMAIL@#%{packagerAddress}#;
s#@VENDOR@#%{vendor}#;
' > golded3/mygolded.h
%__install -p -m644 %SOURCE2 .
%__install -p -m644 %SOURCE3 .
%__install -p -m644 %SOURCE5 cfgs/charset
%__install -p -m644 %SOURCE6 docs

%build
CFLAGS="-DKOI8 -DBUGGY_NCURSES %optflags"
export CFLAGS
%make_build

%install
%__mkdir_p %buildroot%_sysconfdir/ftn
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_datadir/%name/language
%__mkdir_p %buildroot%_mandir/man1
# Binaries...
%__install -p -s bin/gedlnx   %buildroot%_bindir
%__install -p -s bin/rddtlnx  %buildroot%_bindir
%__install -p -s bin/gnlnx    %buildroot%_bindir
# Helper scripts...
%__install -p %SOURCE4        %buildroot%_bindir
%__install -p %SOURCE7        %buildroot%_bindir
# Manpages...
%__install -p -m644 docs/golded.1   %buildroot%_mandir/man1/gedlnx.1
%__ln_s       gedlnx.1        %buildroot%_mandir/man1/golded.1
%__install -p -m644 docs/goldnode.1 %buildroot%_mandir/man1/gnlnx.1
%__ln_s       gnlnx.1         %buildroot%_mandir/man1/goldnode.1
%__install -p -m644 docs/rddt.1     %buildroot%_mandir/man1/rddtlnx.1
# Configs...
%__install -p -m644 %SOURCE8        %buildroot%_sysconfdir/ftn
%__install -p -m644 %SOURCE9        %buildroot%_sysconfdir/ftn
%__install -p -m644 %SOURCE10       %buildroot%_sysconfdir/ftn
%__install -p -m644 %SOURCE11       %buildroot%_sysconfdir/ftn
%__cp -r cfgs/charset           %buildroot%_datadir/%name
%__cp -r cfgs/config/goldlang.* %buildroot%_datadir/%name/language

%post
for i in golded.log; do
  if [ ! -f "%_logdir/ftn/$i" ]; then
    :>> "%_logdir/ftn/$i"
    %__chown ftn:ftn "%_logdir/ftn/$i"
    %__chmod 660 "%_logdir/ftn/$i"
  fi
done ||:


%files
%doc docs/*.txt docs/copying* docs/README.ALT-ru_RU.KOI8-R docs/StyleGuide cfgs
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%defattr(-,ftn,ftn)
%config(noreplace) %_sysconfdir/ftn/golded.conf
%config(noreplace) %_sysconfdir/ftn/golded.user.conf
%config(noreplace) %_sysconfdir/ftn/goldnode.conf
%config(noreplace) %_sysconfdir/ftn/nodelist.conf
%attr(750,root,ftn)  %_bindir/golded
%attr(750,root,ftn)  %_bindir/goldnode
%attr(2510,root,ftn) %_bindir/gedlnx
%attr(750,root,ftn)  %_bindir/rddtlnx
%attr(750,root,ftn)  %_bindir/gnlnx
%_defattr
%_man1dir/*
%_datadir/%name

%files doc
%doc manuals/*

%changelog
* Thu Feb 26 2004 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20040211.13
- CVS snapshot 20040211
- Fix script perms

* Sun Sep 07 2003 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20030809.12
- CVS snapshot 20030809

* Wed May 14 2003 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20030430.11
- CVS snapshot 20030430
- Dropped buggy husky genmsgid support
- s/README.RPM/README.ALT-ru_RU.KOI8-R

* Tue Mar 11 2003 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20030227.10
- CVS snapshot 20030227
- Added packager tag

* Sun Nov 10 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20021110.9
- CVS snapshot 20021110

* Wed Oct 30 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20021026.8
- Fixed -doc's Group

* Sun Oct 27 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20021026.7
- CVS snapshot 20021026
- SPP fixes

* Fri Aug 23 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20020804.6
- Rebuilt with new gcc 3.2 once again...

* Wed Aug 21 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20020804.5
- Rebuilt with gcc 3.2 (libstdc++3.2)

* Sun Aug 11 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20020804.4
- CVS snapshot 20020804
- Fixed config's attributes
- ALT Security Policy fixes

* Sat Jul 20 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20020616.3
- Rebuilt with new gcc (libstdc++)

* Mon Jun 17 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20020616.2
- Added sample configs and goldnode wrapper script.
- Spec clanup.

* Sun Jun 16 2002 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20020616.1
- CVS snapshot 20020616

* Sun Dec 16 2001 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20011209.1
- CVS snapshot 20011209

* Mon Dec 03 2001 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt0.pre.20011104.1
- Built for Sisyphus



